Pagina 1 di 1

Compatibilità files xcf Gimp 2.8 e 2.10

Inviato: dom 20 gen 2019, 13:11
da digian05
Ho installato sullo stesso HD due OS Linux:
-Partizione n. 1 KDE NEON con Gimp 2.8.22;
-Partizione n. 2 DEEPIN DE con Gimp 2.10.2.
Le due partizioni hanno in comune un' altra partizione dati.
La domanda è:
Perché non riesco a leggere i files xcf prodotti con la v. 2.10 con la v. 2.8?
Esiste un modo per farlo?
Grazie

Re: compatibilità files xcf Gimp 2.8 e 2.10

Inviato: lun 21 gen 2019, 14:32
da fabri66
Ciao digian05,
con Gimp 2.8.x non riesci ad aprire file xcf creati con Gimp 2.10.x semplicemente perchè non sono compatibili per alcune migliorie fatte al nuovo Gimp, come le modalità di sovrapposizione dei livelli e la compressione dei file (per maggiori dettagli, vedi qui: https://www.gimp.org/news/2018/11/08/gi ... -released/ - trovi le informazioni utili subito all'inizio dell'articolo).

Se vuoi rendere i file di Gimp 2.10.x compatibili con le vecchie versioni, utilizza le modalità di sovrapposizione livelli "tradizionali" e non "predefinite", e disattiva la compressione in fase di salvataggio dei file.

Quanto scritto vale sicuramente per Gimp 2.10.8, non ricordo se anche per le versioni da 2.10.0 a 2.10.6, ma penso di si. In ogni caso, il consiglio è sempre quello di utilizzare la versione stabile più recente.

Buona giornata.
Fabrizio

Re: compatibilità files xcf Gimp 2.8 e 2.10

Inviato: lun 21 gen 2019, 14:37
da digian05
Grazie... Quindi è solo una questione di compressione e di salvataggio. La qualità è la stessa dunque...

Re: compatibilità files xcf Gimp 2.8 e 2.10

Inviato: lun 21 gen 2019, 22:43
da fabri66
digian05 ha scritto:Grazie... Quindi è solo una questione di compressione e di salvataggio. La qualità è la stessa dunque...
La qualità sicuramente non la perdi, potrebbe essere che nel convertire la modalità di sovrapposizione dei livelli da "predefinita" a "tradizionale" cambi leggermente il risultato ... sinceramente non ho verificato o comparato i vari metodi, oltre al fatto che ce ne sono di nuovi (vedi qui: https://docs.gimp.org/2.10/it/gimp-intr ... masks.html).

A presto e buona serata.
Ciao

Re: compatibilità files xcf Gimp 2.8 e 2.10

Inviato: mar 22 gen 2019, 22:24
da digian05
Grazie per tutte le dritte...

Re: compatibilità files xcf Gimp 2.8 e 2.10

Inviato: mer 23 gen 2019, 21:54
da fabri66
digian05 ha scritto:Grazie per tutte le dritte...
Grazie a te !
Se ritieni di aver risolto, potresti cortesemente etichettare con l'apposita icona la risposta che più ti è stata utile ?
Grazie. A presto. Ciao
Fabrizio

N.b.: ho modificato il titolo per chiarire meglio l'argomento trattato :wink: